Curve division number

'
' Diviides a curve in different sections
' —-

Function curvedivision (strcurve,sections)
Dim Domain, Param, Point, i
ReDim collection(sections)

Domain = Rhino.CurveDomain(strcurve) ' here we "catch " the curve and get the Domain of the curve

For i = 0 To sections
Param = i *((Domain(1)-Domain(0))/sections) 'here we calculate the position of the point

point = Rhino.EvaluateCurve(strCurve,Param) 'return the position of the point inside of the curve
Rhino.AddPoint (point) 'print the point
rhino.print

collection(i) = point

Next
End Function

Unless otherwise stated, the content of this page is licensed under Creative Commons Attribution-ShareAlike 3.0 License